#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	balsa
Version		:	2.6.4
Release		:	17.0.10.rel%{?dist}
Summary		:	A GNOME-2 based mail client. 
Group		:	User Interface/X

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://pawsa.fedorapeople.org/balsa

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-upstream_fixes-2.patch 

#-----------------------------------------------------------------------------
Buildrequires	:	enchant
Buildrequires	:	glib
Buildrequires	:	hicolor-icon-theme
Buildrequires	:	gnutls
Buildrequires	:	gtk3+
Buildrequires	:	gmime-old =	2.6.23
Buildrequires	:	gmime
Buildrequires	:	intltool
Buildrequires	:	itstool
Buildrequires	:	libESMTP-devel
Buildrequires	:	libical
Buildrequires	:	libnotify
Buildrequires	:	libsecret
Buildrequires	:	pcre
Buildrequires	:	yelp-tools

Requires	:	gsettings-desktop-schemas
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
'%{name}' is an e-mail reader.  This client is part of the GNOME
desktop environment.  It supports local mailboxes, POP3 and
IMAP.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_sysconfdir}/sound/events/%{name}.soundlist
%{_bindir}/%{name}*
%{_libdir}/%{name}/libhtmlfilter.so
%{_datadir}/help/C/%{name}/%{name}.entities
%{_datadir}/help/*/%{name}/*.page
%{_datadir}/help/*/%{name}/figures/*.png
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/applications/org.desktop.Balsa.desktop
%{_datadir}/%{name}/hicolor/*/apps/*.png
%{_datadir}/%{name}/hicolor/48x48/mimetypes/*.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/%{name}/icon-theme.cache
%{_datadir}/%{name}/pixmaps/*.png
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/pixmaps/gnome-%{name}*.png
%{_datadir}/sounds/%{name}/*.wav
%{_mandir}/man1/%{name}.1.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  fi

%post
%{_bindir}/update-desktop-database > /dev/null 2>&1

#=============================================================================
%prep
%setup -q 
%patch -P 0 -p1 

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vf
./configure							\
        --prefix=%{_prefix}					\
        --sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	-without-html-widget					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library and static library
find 							\
	%{buildroot}%{_libdir}				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete

#-----------------------------------------------------------------------------
%changelog
